Create campaign spend item
curl --request POST \
--url https://api.hubapi.com/marketing/campaigns/2026-03/{campaignGuid}/spend \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"name": "<string>",
"order": 123,
"description": "<string>"
}
'import requests
url = "https://api.hubapi.com/marketing/campaigns/2026-03/{campaignGuid}/spend"
payload = {
"amount": 123,
"name": "<string>",
"order": 123,
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 123, name: '<string>', order: 123, description: '<string>'})
};
fetch('https://api.hubapi.com/marketing/campaigns/2026-03/{campaignGuid}/spend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount": 123,
"createdAt": 123,
"id": "<string>",
"name": "<string>",
"order": 123,
"updatedAt": 123,
"description": "<string>"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Spend
Create a spend item
Create a new campaign spend item
POST
/
marketing
/
campaigns
/
2026-03
/
{campaignGuid}
/
spend
Create campaign spend item
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The UUID of the campaign, required Example: 9dbec438-53e2-4b28-8c0f-38f56574a6e8
Body
application/json
Response
successful operation
The monetary value associated with the spend item.
The timestamp indicating when the spend item was created.
Unique identifier for the spend item.
The name assigned to the spend item.
The sequence order of the spend item, where 0 is the oldest.
The timestamp indicating when the spend item was last updated.
A detailed explanation or notes about the spend item.
Last modified on September 9, 2026
Was this page helpful?